Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1053087 - [RFE][horizon]: Need to add the buttons which will allow to download the images and snapshots via WebUI
Summary: [RFE][horizon]: Need to add the buttons which will allow to download the imag...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/hori...
Whiteboard: upstream_milestone_none upstream_stat...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-14 16:35 UTC by RHOS Integration
Modified: 2016-02-29 14:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:38:28 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RHOS Integration 2014-01-14 16:35:14 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/horizon/+spec/download-images-and-snapshots-button.

Description:

I want to have the ability to download images and snapshots from one OpenStack lab and upload it to another OpenStack lab.
It is possible to do now using the CLI commads, but it will be good to have the simple button 'Download' for images and snapshots in the Horizon WebUI or probably have the direct link for each image and snapshot to have the ability to download it by this link.

User Story #1:
I'm a user and I have the pre-configured snapshots with my components. I use this snapshot for deployment different VMs in my OpenStack cloud.
I have another clouds and I want to copy all my snapshots from one cloud to another cloud - for example, to give my snapshots with pre-configured test infrastructure for different QA teams in my company. I want to download all snapshots and share the links to another peoples - they should have the ability to download all snapshots and upload them to own OpenStack cluster.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.